Arquivar funil transferindo as conversas
curl --request POST \
--url https://api.nuvia.ai/v1/agents/{id}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_agent_id": "<string>",
"step_mappings": [
{
"origin_step_id": "<string>",
"destination_step_id": "<string>"
}
]
}
'import requests
url = "https://api.nuvia.ai/v1/agents/{id}/archive"
payload = {
"destination_agent_id": "<string>",
"step_mappings": [
{
"origin_step_id": "<string>",
"destination_step_id": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination_agent_id: '<string>',
step_mappings: [{origin_step_id: '<string>', destination_step_id: '<string>'}]
})
};
fetch('https://api.nuvia.ai/v1/agents/{id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/agents/{id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destination_agent_id' => '<string>',
'step_mappings' => [
[
'origin_step_id' => '<string>',
'destination_step_id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/agents/{id}/archive"
payload := strings.NewReader("{\n \"destination_agent_id\": \"<string>\",\n \"step_mappings\": [\n {\n \"origin_step_id\": \"<string>\",\n \"destination_step_id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nuvia.ai/v1/agents/{id}/archive")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destination_agent_id\": \"<string>\",\n \"step_mappings\": [\n {\n \"origin_step_id\": \"<string>\",\n \"destination_step_id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/agents/{id}/archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_agent_id\": \"<string>\",\n \"step_mappings\": [\n {\n \"origin_step_id\": \"<string>\",\n \"destination_step_id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{}Agentes
Arquivar funil transferindo as conversas
Funil sem conversas arquiva direto, com corpo {}. Com conversas, exige destination_agent_id (funil ACTIVE) e step_mappings cobrindo toda etapa que tem conversa. A transferência e o arquivamento acontecem na mesma transação: se sobrar qualquer conversa no funil, nada é arquivado.
POST
/
v1
/
agents
/
{id}
/
archive
Arquivar funil transferindo as conversas
curl --request POST \
--url https://api.nuvia.ai/v1/agents/{id}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_agent_id": "<string>",
"step_mappings": [
{
"origin_step_id": "<string>",
"destination_step_id": "<string>"
}
]
}
'import requests
url = "https://api.nuvia.ai/v1/agents/{id}/archive"
payload = {
"destination_agent_id": "<string>",
"step_mappings": [
{
"origin_step_id": "<string>",
"destination_step_id": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination_agent_id: '<string>',
step_mappings: [{origin_step_id: '<string>', destination_step_id: '<string>'}]
})
};
fetch('https://api.nuvia.ai/v1/agents/{id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/agents/{id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destination_agent_id' => '<string>',
'step_mappings' => [
[
'origin_step_id' => '<string>',
'destination_step_id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/agents/{id}/archive"
payload := strings.NewReader("{\n \"destination_agent_id\": \"<string>\",\n \"step_mappings\": [\n {\n \"origin_step_id\": \"<string>\",\n \"destination_step_id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nuvia.ai/v1/agents/{id}/archive")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destination_agent_id\": \"<string>\",\n \"step_mappings\": [\n {\n \"origin_step_id\": \"<string>\",\n \"destination_step_id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/agents/{id}/archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_agent_id\": \"<string>\",\n \"step_mappings\": [\n {\n \"origin_step_id\": \"<string>\",\n \"destination_step_id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{}Autorizações
Token JWT de autenticação
Cabeçalhos
Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.
Parâmetros de caminho
ID do agente
Corpo
application/json
Resposta
201 - application/json
The response is of type object.